com.mysql.cj.conf

## Interface PropertySet

All Known Subinterfaces:
  JdbcPropertySet

    public interface PropertySet

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addProperty(RuntimeProperty<?> prop)`
`Properties` `exposeAsProperties()`
`RuntimeProperty<Boolean>` `getBooleanProperty(PropertyKey key)`
`RuntimeProperty<Boolean>` `getBooleanProperty(String name)`
`<T extends Enum<T>> RuntimeProperty<T>` `getEnumProperty(PropertyKey key)`
`<T extends Enum<T>> RuntimeProperty<T>` `getEnumProperty(String name)`
`RuntimeProperty<Integer>` `getIntegerProperty(PropertyKey key)`
`RuntimeProperty<Integer>` `getIntegerProperty(String name)`
`RuntimeProperty<Long>` `getLongProperty(PropertyKey key)`
`RuntimeProperty<Long>` `getLongProperty(String name)`
`RuntimeProperty<Integer>` `getMemorySizeProperty(PropertyKey key)`
`RuntimeProperty<Integer>` `getMemorySizeProperty(String name)`
`<T> RuntimeProperty<T>` `getProperty(PropertyKey key)`
`<T> RuntimeProperty<T>` `getProperty(String name)`
`RuntimeProperty<String>` `getStringProperty(PropertyKey key)`
`RuntimeProperty<String>` `getStringProperty(String name)`
`void` `initializeProperties(Properties props)` Initializes the property set with driver properties that come from URL or passed to the driver manager.
`void` `postInitialization()`
`void` `removeProperty(PropertyKey key)`
`void` `removeProperty(String name)`
`void` `reset()` Reset all properties to their initial values.

### Method Detail

#### addProperty

    void addProperty(RuntimeProperty<?> prop)

#### removeProperty

    void removeProperty(String name)

#### removeProperty

    void removeProperty(PropertyKey key)

#### getProperty

    <T> RuntimeProperty<T> getProperty(String name)

#### getProperty

    <T> RuntimeProperty<T> getProperty(PropertyKey key)

#### getBooleanProperty

    RuntimeProperty<Boolean> getBooleanProperty(String name)

#### getBooleanProperty

    RuntimeProperty<Boolean> getBooleanProperty(PropertyKey key)

#### getIntegerProperty

    RuntimeProperty<Integer> getIntegerProperty(String name)

#### getIntegerProperty

    RuntimeProperty<Integer> getIntegerProperty(PropertyKey key)

#### getLongProperty

    RuntimeProperty<Long> getLongProperty(String name)

#### getLongProperty

    RuntimeProperty<Long> getLongProperty(PropertyKey key)

#### getMemorySizeProperty

    RuntimeProperty<Integer> getMemorySizeProperty(String name)

#### getMemorySizeProperty

    RuntimeProperty<Integer> getMemorySizeProperty(PropertyKey key)

#### getStringProperty

    RuntimeProperty<String> getStringProperty(String name)

#### getStringProperty

    RuntimeProperty<String> getStringProperty(PropertyKey key)

#### getEnumProperty

    <T extends Enum<T>> RuntimeProperty<T> getEnumProperty(String name)

#### getEnumProperty

    <T extends Enum<T>> RuntimeProperty<T> getEnumProperty(PropertyKey key)

#### initializeProperties

    void initializeProperties(Properties props)

Initializes the property set with driver properties that come from URL or passed to the driver manager.

Parameters:
  `props` - properties

#### postInitialization

    void postInitialization()

#### exposeAsProperties

    Properties exposeAsProperties()

#### reset

    void reset()

Reset all properties to their initial values.

Copyright © 2016, 2025, Oracle and/or its affiliates.